Class | XMLRPC::Client::Proxy
In: | xmlrpc/client.rb
Parent: | Object

### Methods

method_missing new

### Public Class methods

new(server, prefix, args=[], meth=:call, delim=".")

[Source]

    # File xmlrpc/client.rb, line 598
          def initialize(server, prefix, args=[], meth=:call, delim=".")
            @server = server
            @prefix = prefix ? prefix + delim : ""
            @args   = args
            @meth   = meth
          end

### Public Instance methods

method_missing(mid, *args)

[Source]

    # File xmlrpc/client.rb, line 605
          def method_missing(mid, *args)
            pre = @prefix + mid.to_s
            arg = @args + args
            @server.send(@meth, pre, *arg)
          end

[Validate]